CentOS5にbzip2-1.0.6をインストール

Pocket

未だCentOS5を使っているといろいろと不都合が生じてきます。まず、最新のアプリケーションを使おうとすると、デフォルトで入っているライブラリ群が古く全くインストールできません。

今回はCentOS5.11にbzip2-1.0.6をインストールしてみます

ダウンロード

コンパイル

シェアードライブラリも同時にコンパイルします
まずは本体

次にシェアードライブラリ

ここでエラーが

解決方法

どうもfPICをつけてコンパイルしないとダメなようです
本体側も修正、Makefileを修正します

コンパイル
次にシェアードライブラリ。Makefile-libbz2_soを修正
コンパイル